"""initial migrate

Revision ID: eb61e49d809a
Revises: 
Create Date: 2023-11-06 20:17:19.712011

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = 'eb61e49d809a'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id_user', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('username', sa.String(length=100), nullable=False),
    sa.Column('password', sa.String(length=255), nullable=False),
    sa.Column('email', sa.String(length=100), nullable=False),
    sa.Column('phone', sa.String(length=12), nullable=False),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id_user'),
    sa.UniqueConstraint('email')
    )
    op.create_table('base',
    sa.Column('id_base', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('name', sa.String(length=100), nullable=False),
    sa.Column('latitude', sa.String(length=50), nullable=False),
    sa.Column('longitude', sa.String(length=50), nullable=False),
    sa.Column('is_active', sa.Boolean(), nullable=False),
    sa.Column('status', sa.String(length=20), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['id_user'], ['user.id_user'], ),
    sa.PrimaryKeyConstraint('id_base')
    )
    op.create_table('drone',
    sa.Column('id_drone', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('serie', sa.String(length=255), nullable=False),
    sa.Column('status', sa.String(length=50), nullable=False),
    sa.Column('id_base', sa.Integer(), nullable=True),
    sa.Column('id_user', sa.Integer(), nullable=True),
    sa.Column('created_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['id_base'], ['base.id_base'], ),
    sa.ForeignKeyConstraint(['id_user'], ['user.id_user'], ),
    sa.PrimaryKeyConstraint('id_drone'),
    sa.UniqueConstraint('serie')
    )
    op.create_table('history',
    sa.Column('id_history', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('id_drone', sa.Integer(), nullable=True),
    sa.Column('id_base', sa.Integer(), nullable=True),
    sa.Column('loaded_at', sa.DateTime(), nullable=False),
    sa.ForeignKeyConstraint(['id_base'], ['base.id_base'], ),
    sa.ForeignKeyConstraint(['id_drone'], ['drone.id_drone'], ),
    sa.PrimaryKeyConstraint('id_history')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('history')
    op.drop_table('drone')
    op.drop_table('base')
    op.drop_table('user')
    # ### end Alembic commands ###
